org.gradle.plugins.cpp

## Class CppExtension

- java.lang.Object
- - org.gradle.plugins.cpp.CppExtension

-     public class CppExtension
      extends Object

  Adds a source set container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CppExtension(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedDomainObjectContainer<CppSourceSet>` | `getSourceSets()`
    `NamedDomainObjectContainer<CppSourceSet>` | `sourceSets(Closure closure)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CppExtension

          public CppExtension(org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### sourceSets

          public NamedDomainObjectContainer<CppSourceSet> sourceSets(Closure closure)

    - #### getSourceSets

          public NamedDomainObjectContainer<CppSourceSet> getSourceSets()